org.springframework.beans.factory.parsing

## Class NullSourceExtractor

- java.lang.Object
- - org.springframework.beans.factory.parsing.NullSourceExtractor

All Implemented Interfaces:
  SourceExtractor

    public class NullSourceExtractor
    extends Object
    implements SourceExtractor

Simple implementation of `SourceExtractor` that returns `null` as the source metadata.

This is the default implementation and prevents too much metadata from being held in memory during normal (non-tooled) runtime usage.

Since:
  2.0
Author:
  Rob Harrop

### Constructor Summary

Constructors
Constructor and Description
`NullSourceExtractor()`

### Method Summary

Methods
`Object` `extractSource(Object sourceCandidate, Resource definitionResource)` This implementation simply returns `null` for any input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullSourceExtractor

    public NullSourceExtractor()

### Method Detail

#### extractSource

    public Object extractSource(Object sourceCandidate,
                       Resource definitionResource)

This implementation simply returns `null` for any input.

Specified by:
  `extractSource` in interface `SourceExtractor`
Parameters:
  `sourceCandidate` - the original source metadata (never `null`)
  `definitionResource` - the resource that defines the given source object (may be `null`)
Returns:
  the source metadata object to store (may be `null`)